MockFileCollector (cpptasks 1.0b5 Test API)
Keywords: net.sf.antcontrib.cpptasks.MockFileCollector class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks
Class MockFileCollector

    java.lang.Object
      net.sf.antcontrib.cpptasks.MockFileCollector

All Implemented Interfaces:
  net.sf.antcontrib.cpptasks.FileVisitor

    public final class MockFileCollector

extends java.lang.Object
implements net.sf.antcontrib.cpptasks.FileVisitor

Implementation of FileVisitor that collects visited files for later retrieval.

Author:
  Curt Arnold

Constructor Summary
`MockFileCollector()` Constructor.

Method Summary
`java.io.File` | `getBaseDir(int index)` Get value of baseDir parameter for the specified index.
`java.lang.String` | `getFileName(int index)` Get value of fileName parameter for a specified index.
`int` | `size()` Get count of calls to FileVisitor.visit.
`void` | `visit(java.io.File baseDir, java.lang.String fileName)` Implementation of FileVisitor.visit.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockFileCollector

    public MockFileCollector()

  Constructor.

Method Detail

### visit

    public void visit(java.io.File baseDir,
                      java.lang.String fileName)

  Implementation of FileVisitor.visit.

  Specified by:
    `visit` in interface `net.sf.antcontrib.cpptasks.FileVisitor`
  Parameters:
    `baseDir` - base directory
    `fileName` - file name

### getFileName

    public java.lang.String getFileName(int index)

  Get value of fileName parameter for a specified index.

  Parameters:
    `index` - index
  Returns:
    value of failName parameter

### getBaseDir

    public java.io.File getBaseDir(int index)

  Get value of baseDir parameter for the specified index.

  Parameters:
    `index` - index
  Returns:
    value of baseDir parameter

### size

    public int size()

  Get count of calls to FileVisitor.visit.

  Returns:
    count of calls.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.